/*
  bcd.h -  macros to convert binary to binary coded decimal(BCD) and BCD to binary 
          by Micromint Support <support@micromint.com>    July-2009
*/
#ifndef _BCD_H
#define _BCD_H

#define BCD2BIN(val)    (((val) & 0x0f) + ((val)>>4)*10)
#define BIN2BCD(val)    ((((val)/10)<<4) + (val)%10)



#endif /* _BCD_H */