/*
  error.c - Error function for debugging builds
          by Micromint Support <support@micromint.com>    Aug-2009

  Console should be initialized with UARTStdioInit(portNum)
*/

#include "driverlib/debug.h"
#include "utils/uartstdio.h"

/* Error routine called if the driver library encounters an error */
#ifdef DEBUG
void
__error__(char *pcFilename, unsigned long ulLine)
{
    UARTprintf("%s: Error on line %d\n", pcFilename, ulLine);
}
#endif
