/*
  i2c_rdwr.h - I2C polling read and write routines declarations for the Micromint Eagle (Cortex-M3)
          by Micromint Support <support@micromint.com>    Nov-2009
*/
#ifndef _I2C_RDWR_H
#define _I2C_RDWR_H

#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "inc/hw_gpio.h"
#include "inc/hw_i2c.h"
#include "driverlib/gpio.h"
#include "driverlib/i2c.h"
#include "driverlib/sysctl.h"

/* API function declarations */

unsigned long I2cWrite(unsigned long ulI2CBase,unsigned char address, unsigned char *buf, unsigned char numb_bytes);
unsigned long I2cRead(unsigned long ulI2CBase, unsigned char address, unsigned char *buf, unsigned char numb_bytes);
#endif /* _I2C_RDWR_H */
